=== tags/CMakeLists.txt ===
include_directories(${QTINCLUDES} ${TAGLIB_INCLUDES} ${CMAKE_SOURCE_DIR}/tags)
set(CANTATA_TAGS_SRCS main.cpp tagserver.cpp tags.cpp filetyperesolver.cpp ../mpd/song.cpp)

if (ENABLE_KDE_SUPPORT)
    kde4_add_executable(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
    install(TARGETS cantata-tags RUNTIME DESTINATION lib/cantata)
else (ENABLE_KDE_SUPPORT)
    if (WIN32)
        set(CMAKE_BUILD_TYPE "Release")
        ADD_EXECUTABLE(cantata-tags WIN32 ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags DESTINATION ${CMAKE_INSTALL_PREFIX})
    else (WIN32)
        ADD_EXECUTABLE(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags RUNTIME DESTINATION lib/cantata)
    endif (WIN32)
endif (ENABLE_KDE_SUPPORT)

add_definitions(-DCANTATA_NO_SONG_TIME_FUNCTION -DCANTATA_TAG_SERVER)
target_link_libraries(cantata-tags ${TAGLIB_LIBRARIES} ${QTGUILIBS} ${QTCORELIBS} ${QTNETWORKLIBS})
if (TAGLIB-EXTRAS_FOUND)
    target_link_libraries(cantata-tags ${TAGLIB-EXTRAS_LIBRARIES})
    include_directories(${TAGLIB-EXTRAS_INCLUDES})
endif (TAGLIB-EXTRAS_FOUND)
