=== online/icons/CMakeLists.txt ===
if (WIN32)
    install(FILES podcasts.png soundcloud.png DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/)
else (WIN32)
    install(FILES podcasts.png soundcloud.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/icons/)
endif (WIN32)
