=== debian/changelog ===
cantata (1.3.4.ds1-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:05:45 +0100

cantata (1.3.4.ds1-1) unstable; urgency=medium

  * New upstream release.
    - add qxt to build dependencies.
    - update copyright information.
  * Disable watch file broken by google code.
  * Disable built-in http server.

 -- Stuart Prescott <stuart@debian.org>  Wed, 28 May 2014 23:37:44 +1000

cantata (1.2.2.ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 Jan 2014 01:33:02 +1100

cantata (1.1.3.ds1-1) unstable; urgency=low

  * Initial release (Closes: #684762), with thanks to Jean-Philippe Garcia
    Ballester for work on packaging.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Dec 2013 23:57:14 +1100
