=== debian/control ===
Source: cantata
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               graphicsmagick,
               kdelibs5-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libcdparanoia-dev,
               libmusicbrainz5-dev,
               libmpg123-dev,
               libmtp-dev (>= 1.0.0),
               libphonon-dev,
               libqjson-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libqxt-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libtag-extras-dev,
               libtag1-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/cantata/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cantata.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cantata.git

Package: cantata
Architecture: any
Depends: kde-style-oxygen, ${misc:Depends}, ${shlibs:Depends}
Provides: mpd-client
Suggests: mpd
Description: KDE client for the music player daemon (MPD)
 Cantata is a graphical front-end for the music player daemon, MPD. It provides
 many tools to view and manage the music collection including:
 .
   * library - sorted by album, artist, track, directory
   * albums with cover art
   * user defined playlists
   * dynamic playlists
   * streams, internet radio
   * lyrics
   * artist information from Wikipedia
   * device support for USB mass storage, MTP and CDs
