=== debian/watch ===
# Google code no longer offers downloads; no watch file is possible.
#
#version=3
#opts="dversionmangle=s/\.ds1//" \
#  http://code.google.com/p/cantata/downloads/list .*/cantata-(.*)\.tar\.bz2 \
#  debian sh debian/repack
